package com.quantechsoftware.darren;

import org.apache.log4j.Logger;

import com.quantechsoftware.darren.login.AuthService;
import com.vaadin.flow.component.Composite;
import com.vaadin.flow.component.UI;
import com.vaadin.flow.component.button.Button;
import com.vaadin.flow.component.dependency.StyleSheet;
import com.vaadin.flow.component.formlayout.FormLayout;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.component.textfield.TextField;

@StyleSheet("../frontend/styles/styles.css")
public class HomeComponent extends Composite<VerticalLayout>
{
	private static Logger oLogger = Logger.getLogger( HomeComponent.class.getName() );

    public HomeComponent() 
    {
    	// get user info
    	String sUserID = AuthService.getAuthenticatedUserQUID();
    	User user = new User();
    	user.setID(sUserID);
    	user.setAccessLevel("Manager");
    	user.setFirstName("Bob");
    	user.setLastName("Smith");
    	user.setFk_CompanyID("AHAHAHAHAHAHAH");
    	user.setLoginName("admin");
    	
    	TextField loginTextField = new TextField();
    	loginTextField.setValue(user.getLoginName());
    	loginTextField.setHeight("35px");
    	loginTextField.setReadOnly(true);
    	
    	TextField userTextField = new TextField();
    	userTextField.setValue(user.getFirstName() + " " + user.getLastName());
    	userTextField.setHeight("35px");
    	userTextField.setReadOnly(true);
    	
    	TextField accessLevelTextField = new TextField();
    	accessLevelTextField.setValue(user.getAccessLevel());
    	accessLevelTextField.setHeight("35px");
    	accessLevelTextField.setReadOnly(true);
    	
    	TextField companyTextField = new TextField();
    	companyTextField.setValue("Amazon");
    	companyTextField.setHeight("35px");
    	companyTextField.setReadOnly(true);
    	
    	FormLayout form = new FormLayout();
    	form.addFormItem(loginTextField, "Login");
    	form.addFormItem(userTextField, "User");
    	form.addFormItem(accessLevelTextField, "Access Level");
    	form.addFormItem(companyTextField, "Company");
    	form.setWidth("330px");
    	
   
        
        getContent().addClassName("form1");
        getContent().add(form);

    }

   
	
}
