package com.quantechsoftware.darren;

import com.quantechsoftware.darren.login.AuthService;
import com.quantechsoftware.darren.login.LoggedInComponent;
import com.quantechsoftware.darren.login.PublicComponent;
import com.vaadin.flow.component.Composite;
import com.vaadin.flow.component.orderedlayout.FlexComponent.Alignment;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;

public class MainViewBase extends Composite<VerticalLayout> {

	static {
		Messages.addBundle("messages");
	}

	public MainViewBase() {
		getContent().setSizeFull();
		getContent().add(new LoggedInComponent());
		getContent().setAlignItems(Alignment.END);
		getContent().add(new MainViewBody());
	}

	private void logoutClicked() {
		AuthService.logout();
	}

}
