package com.quantechsoftware.darren.login;

import com.quantechsoftware.darren.Messages;
import com.vaadin.flow.component.Composite;
import com.vaadin.flow.component.UI;
import com.vaadin.flow.component.button.Button;
import com.vaadin.flow.component.dependency.StyleSheet;
import com.vaadin.flow.component.html.Span;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;
import com.vaadin.flow.theme.Theme;
import com.vaadin.flow.theme.lumo.Lumo;

//@Theme(value=Lumo.class, variant="small")
@StyleSheet("../frontend/styles/styles.css")
public class LoggedInComponent extends Composite<HorizontalLayout> {

	public LoggedInComponent() {
		Span span = new Span("User: " + AuthService.getAuthenticatedUsername());

		Button logOutButton = new Button(Messages.get("auth.logout"), e -> logoutClicked());
		logOutButton.addClassName("button");
		logOutButton.setHeight("18px");

		getContent().add(span, logOutButton);
		getContent().setHeight("20px");
	}

	private void logoutClicked() {
		AuthService.logout();
	}
}
