package com.quantechsoftware.darren.login;

import com.quantechsoftware.darren.MainViewBase;
import com.quantechsoftware.darren.Messages;
import com.vaadin.flow.component.Composite;
import com.vaadin.flow.component.UI;
import com.vaadin.flow.component.dependency.StyleSheet;
import com.vaadin.flow.component.orderedlayout.BoxSizing;
import com.vaadin.flow.component.orderedlayout.FlexComponent.Alignment;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.Route;

@Route("")
public class LoginView  extends Composite<VerticalLayout>{
	   
	static {
	        Messages.addBundle("messages");
	    }

	    public LoginView() 
	    {
	        if (AuthService.isAuthenticated()) 
	        {
	        	getContent().setSizeFull();
	            getContent().add(new MainViewBase());
	        } 
	        else 
	        {

	            getContent().setSizeFull();
	            
	            HorizontalLayout horizTop = new HorizontalLayout();
	            horizTop.setHeight("50%");
	            
	            HorizontalLayout horizBottom = new HorizontalLayout();
	            
	            VerticalLayout horizBottomVerticalLeft = new VerticalLayout();
	            VerticalLayout horizBottomVerticalRight = new VerticalLayout();
	            horizBottomVerticalLeft.setWidth("90%");
	            horizBottomVerticalRight.add(new PublicComponent());
	            horizBottomVerticalRight.setWidth("10%");
	            
	            horizBottom.add(horizBottomVerticalLeft);
	            horizBottom.add(horizBottomVerticalRight);	            
	            
	            getContent().add(horizTop);
	            getContent().add(horizBottom);
	            
	        }
	    }
}

